public static class EMCCVModule extends EMCCVMenuElement {
  
  String id = null;
  String title = "Extendable Modular Creative Concept Visualizer";
  String authorid = "unknown";
  String version = "";
  String sDesc = "";
  String lDesc = "";
  PImage logo;
  boolean randomizecolor = true;
  
  public boolean selected = false;
  public ArrayList<String> sets = new ArrayList<String>();

  public EMCCVSet activeSet;

  @Override
    public void toggleState() {
    selected = !selected;
  }

  @Override
  public boolean isActive() {
    if (logging && logInfo) log.append(getTime() + "[DRAW][IS ACTIVE][MODULE] id - " + this.id + "\n");
    
    if (this.disabled) return false;
    
    if (this.checked == 0) {
      boolean bResult = !this.disabled;

      if (bResult) {
        checked = 1; // visible
      } else {
        checked = -1; // not visible
      }
    }
    return this.checked == 1;
  }

  @Override
    public void randomize() {
    for (String setID : this.sets) {
      EMCCVSet set = (EMCCVSet) elements.get(setID);
      if (set != null) {
        set.randomize();
      }
    }
  }
}