public static class EMCCVFile extends EMCCVElement {

  public String src;
  
  


  @Override
  public boolean isActive() {
    boolean bResult = true;

    EMCCVMenuElement xmlParent = this.getXMLParent();
    if (xmlParent != null) {
      if (logging && logInfo) log.append(getTime() + "[DRAW][IS ACTIVE][FILE] src: " + this.src + "\n");
      if (logging && logInfo) log.append(getTime() + "[DRAW][IS ACTIVE][FILE] xmlParent: " + this.xmlParent + "\n");
      bResult = xmlParent.isActive();
    }

    if (bResult && this.parent != null && !this.parent.equals("")) {
      bResult = bResult && checkParents(this.parent);
    }
    
    return bResult;
  }
}